fbsql_password
fbsql_query
FrontBase Functions
PHP Manual

# fbsql_pconnect

Open a persistent connection to a FrontBase Server

### Description

resource fbsql_pconnect ([ string `$hostname` = ini_get("fbsql.default_host") [, string `$username` = ini_get("fbsql.default_user") [, string `$password` = ini_get("fbsql.default_password") ]]] )

Establishes a persistent connection to a FrontBase server.

To set the server port number, use fbsql_select_db.

fbsql_pconnect acts very much like fbsql_connect with two major differences:

First, when connecting, the function would first try to find a (persistent) link that's already open with the same host, username and password. If one is found, an identifier for it will be returned instead of opening a new connection.

Second, the connection to the SQL server will not be closed when the execution of the script ends. Instead, the link will remain open for future use.

This type of links is therefore called 'persistent'.

### Parameters

`hostname`

  The server host name.

`username`

  The user name for the connection.

`password`

  The password for the connection.

### Return Values

Returns a positive FrontBase persistent link identifier on success, or `FALSE` on error.

### See Also

- fbsql_connect